Bug 201043 - initscript returns failure upon stopping already stopped service
initscript returns failure upon stopping already stopped service
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: postgresql (Show other bugs)
12
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Tom Lane
Brock Organ
bzcl34nup
: Reopened, Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-08-02 10:26 EDT by Troy C
Modified: 2013-07-02 23:10 EDT (History)
2 users (show)

See Also:
Fixed In Version: postgresql-8.4.3-1.fc12
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-03-25 18:24:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Troy C 2006-08-02 10:26:57 EDT
Description of problem:
initscripts return failure if service is already stopped

Version-Release number of selected component (if applicable):
initscripts-8.31.5-1

How reproducible:
stop postgresql (for example). stop postgresql again.

Steps to Reproduce:
1. service postgresql stop
2. service postgresql stop
3. watch in amazement ;)
  
Actual results:
Stopping postgresql service:                               [FAILED]


Expected results:
Stopping postgresql service:                               [  OK  ]


Additional info:
according to the LSB spec at 
http://www.freestandards.org/spec/refspecs/LSB_2.0.1/LSB-Core/LSB-Core/iniscrptact.html
"running "stop" on a service already stopped or not running" must return success
Comment 1 Bill Nottingham 2006-08-02 10:35:16 EDT
This isn't using the initscripts /etc/init.d/functions helpers - this would need
to be fixed in postgres.
Comment 2 Troy C 2006-08-02 12:07:37 EDT
I temporarily "fixed" it by commenting out line 216, which reads script_result=1

I'll try to move it to postgres then, thanks :)
Comment 3 Bug Zapper 2008-04-03 23:25:42 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.
http://fedoraproject.org/wiki/LifeCycle/EOL

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 4 Bug Zapper 2008-05-06 12:11:19 EDT
This bug is open for a Fedora version that is no longer maintained and
will not be fixed by Fedora. Therefore we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen thus bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 5 Troy C 2008-05-06 13:04:12 EDT
[root@layer8 ~]# /etc/init.d/postgresql start
Starting postgresql service:                               [  OK  ]
[root@layer8 ~]# /etc/init.d/postgresql stop
Stopping postgresql service:                               [  OK  ]
[root@layer8 ~]# /etc/init.d/postgresql stop
Stopping postgresql service:                               [FAILED]
[root@layer8 ~]#
[root@layer8 ~]# /etc/init.d/postgresql stop
Stopping postgresql service:                               [FAILED]

[root@layer8 ~]# rpm -qa | grep postgres
postgresql-server-8.2.7-1.fc7
postgresql-libs-8.2.7-1.fc7
postgresql-8.2.7-1.fc7
postgresql-libs-8.2.7-1.fc7
Comment 6 Bug Zapper 2008-05-14 08:02:34 EDT
This message is a reminder that Fedora 7 is nearing the end of life. Approximately 30 (thirty) days from now Fedora will stop maintaining and issuing updates for Fedora 7. It is Fedora's policy to close all bug reports from releases that are no longer maintained. At that time this bug will be closed as WONTFIX if it remains open with a Fedora 'version' of '7'.

Package Maintainer: If you wish for this bug to remain open because you plan to fix it in a currently maintained version, simply change the 'version' to a later Fedora version prior to Fedora 7's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that we may not be able to fix it before Fedora 7 is end of life. If you would still like to see this bug fixed and are able to reproduce it against a later version of Fedora please change the 'version' of this bug. If you are unable to change the version, please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's lifetime, sometimes those efforts are overtaken by events. Often a more recent Fedora release includes newer upstream software that fixes bugs or makes them obsolete. If possible, it is recommended that you try the newest available Fedora distribution to see if your bug still exists.

Please read the Release Notes for the newest Fedora distribution to make sure it will meet your needs:
http://docs.fedoraproject.org/release-notes/

The process we are following is described here: http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Bug Zapper 2009-06-09 18:14:34 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 8 Tom Lane 2009-06-09 19:13:31 EDT
It's certainly still acting the same, but I'm suspicious of the presumption that the behavior is wrong: the mysqld script acts the same and I haven't heard complaints about that.  There's also an implementation problem that it's quite difficult to be sure that a failure is because the service wasn't running and not for some other reason.

The link to the claimed LSB standard seems dead; can you provide a more up-to-date citation?
Comment 9 Bug Zapper 2009-11-16 02:51:59 EST
This bug appears to have been reported against 'rawhide' during the Fedora 12 development cycle.
Changing version to '12'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 10 Fedora Update System 2010-03-14 15:14:32 EDT
postgresql-8.4.3-1.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/postgresql-8.4.3-1.fc13
Comment 11 Fedora Update System 2010-03-14 15:14:41 EDT
postgresql-8.4.3-1.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/postgresql-8.4.3-1.fc12
Comment 12 Fedora Update System 2010-03-15 20:37:53 EDT
postgresql-8.4.3-1.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update postgresql'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/postgresql-8.4.3-1.fc13
Comment 13 Fedora Update System 2010-03-15 20:41:35 EDT
postgresql-8.4.3-1.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update postgresql'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/postgresql-8.4.3-1.fc12
Comment 14 Troy C 2010-03-15 21:45:10 EDT
The most up-to-date specification link: http://refspecs.freestandards.org/LSB_3.1.1/LSB-Core-generic/LSB-Core-generic/iniscrptact.html
Comment 15 Fedora Update System 2010-03-25 18:24:01 EDT
postgresql-8.4.3-1.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 16 Fedora Update System 2010-03-25 18:28:42 EDT
postgresql-8.4.3-1.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.